package cn.datax.service.data.factory.service;

import cn.datax.service.data.factory.api.entity.DataThemeEntity;
import cn.datax.service.data.factory.api.dto.DataThemeDto;
import cn.datax.common.base.BaseService;

import java.util.List;

/**
 * <p>
 * 数据主题信息表 服务类
 * </p>
 *
 * @author yuwei
 * @since 2020-07-26
 */
public interface DataThemeService extends BaseService<DataThemeEntity> {

    DataThemeEntity saveDataTheme(DataThemeDto dataTheme);

    DataThemeEntity updateDataTheme(DataThemeDto dataTheme);

    DataThemeEntity getDataThemeById(String id);

    void deleteDataThemeById(String id);

    void deleteDataThemeBatch(List<String> ids);
}
